<!DOCTYPE html>
<html>

<head>
    <!--
      JavaScript 6th Edition
      Chapter 7
      Hands-on Project 7-4

      Author: 
      Date:   

      Filename: index.htm
   -->
    <meta charset="utf-8" />
    <meta id="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <title>Hands-on Project 7-4</title>
    <link rel="stylesheet" href="styles.css" />
    <script src="modernizr.custom.65897.js"></script>
</head>

<body>
    <header>
        <h1>
            Hands-on Project 7-4
        </h1>
    </header>
    <article>
        <h2>Pizza Order Form</h2>
        <div id="errorMessage"></div>
        <form novalidate="novalidate">
            <fieldset id="deliveryinfo">
                <legend>Delivery Information</legend>
                <label for="nameinput">Name</label>
                <input type="text" id="nameinput" name="name" required="required">
                <label for="addrinput">Street Address</label>
                <input type="text" id="addrinput" name="address" required="required">
                <label for="cityinput">City</label>
                <input type="text" id="cityinput" name="city" required="required">
                <label for="emailinput">Email</label>
                <input type="email" id="emailinput" name="email" required="required">
                <label for="phoneinput">Phone</label>
                <input type="text" id="phoneinput" name="phone" required="required">
            </fieldset>
            <fieldset id="orderinfo">
                <legend>Order</legend>
                <fieldset id="crustbox">
                    <legend>Crust</legend>
                    <input type="radio" name="crust" id="thin" value="Thin">
                    <label for="thin">Thin Crust</label>
                    <input type="radio" name="crust" id="thick" value="Deep Dish">
                    <label for="thick">Deep Dish</label>
                </fieldset>
                <fieldset id="sizebox">
                    <legend>Size</legend>
                    <select id="size" name="size" required="required">
                        <option value="">Choose</option>
                        <option value="Small">Small</option>
                        <option value="Medium">Medium</option>
                        <option value="Large">Large</option>
                        <option value="XL">Extra Large</option>
                    </select>
                </fieldset>
                <fieldset id="toppingbox">
                    <legend>Topping(s)</legend>
                    <input type="checkbox" id="pepperoni" name="toppings" value="Pepperoni">
                    <label for="pepperoni">Pepperoni</label>
                    <input type="checkbox" id="sausage" name="toppings" value="Sausage">
                    <label for="sausage">Sausage</label>
                    <input type="checkbox" id="greenpep" name="toppings" value="Green Peppers">
                    <label for="greenpep">Green Peppers</label>
                    <input type="checkbox" id="onion" name="toppings" value="Onions">
                    <label for="onion">Onions</label>
                    <input type="checkbox" id="xcheese" name="toppings" value="Extra Cheese">
                    <label for="xcheese">Extra Cheese</label>
                    <label for="instructions" id="instrlabel">Special Instructions</label>
                    <textarea id="instructions" name="instructions" rows="3" cols="50" placeholder="special requests, delivery details"></textarea>
                </fieldset>
            </fieldset>
            <fieldset id="previewbutton">
                <input type="button" id="previewBtn" value="Preview Order">
            </fieldset>
        </form>
        <section id="orderSummary" style="display: block;">
            <h2>Order Summary</h2>
            <h3>Deliver to</h3>
            <div id="deliverTo" style="display: block;">
                <p></p>
                <p></p>
                <p></p>
                <p></p>
                <p></p>
            </div>
            <h3>Order</h3>
            <div id="order" style="display: block;"></div>
        </section>
    </article>
    <script src="script.js"></script>
</body>

</html>